<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ombs-OnlineMovieBookingSystem: omsb::HttpServer Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ombs-OnlineMovieBookingSystem
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceomsb.html">omsb</a></li><li class="navelem"><a class="el" href="classomsb_1_1_http_server.html">HttpServer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classomsb_1_1_http_server-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">omsb::HttpServer Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>this the class that handels user REST API requests. we only need to create one object abd start server. there is no need to create multiple instanaces in one node as each request is handlled in dedicated thread.  
 <a href="classomsb_1_1_http_server.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="http__server_8hpp_source.html">http_server.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a869340b7e360c5966313d9d560eadf7f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classomsb_1_1_http_server.html#a869340b7e360c5966313d9d560eadf7f">HttpServer</a> (served::multiplexer multiplexer)</td></tr>
<tr class="memdesc:a869340b7e360c5966313d9d560eadf7f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct a new Http Server object.  <a href="classomsb_1_1_http_server.html#a869340b7e360c5966313d9d560eadf7f">More...</a><br /></td></tr>
<tr class="separator:a869340b7e360c5966313d9d560eadf7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a790f33952f28a1045959d77f59550133"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classomsb_1_1_http_server.html#a790f33952f28a1045959d77f59550133">StartServer</a> ()</td></tr>
<tr class="memdesc:a790f33952f28a1045959d77f59550133"><td class="mdescLeft">&#160;</td><td class="mdescRight">Starts the server after endpoints have been initialized.  <a href="classomsb_1_1_http_server.html#a790f33952f28a1045959d77f59550133">More...</a><br /></td></tr>
<tr class="separator:a790f33952f28a1045959d77f59550133"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>this the class that handels user REST API requests. we only need to create one object abd start server. there is no need to create multiple instanaces in one node as each request is handlled in dedicated thread. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a869340b7e360c5966313d9d560eadf7f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a869340b7e360c5966313d9d560eadf7f">&#9670;&nbsp;</a></span>HttpServer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">omsb::HttpServer::HttpServer </td>
          <td>(</td>
          <td class="paramtype">served::multiplexer&#160;</td>
          <td class="paramname"><em>multiplexer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Construct a new Http Server object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">multiplexer</td><td>: served multiplexer. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a790f33952f28a1045959d77f59550133"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a790f33952f28a1045959d77f59550133">&#9670;&nbsp;</a></span>StartServer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void omsb::HttpServer::StartServer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Starts the server after endpoints have been initialized. </p>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classomsb_1_1_http_server_a790f33952f28a1045959d77f59550133_icgraph.png" border="0" usemap="#classomsb_1_1_http_server_a790f33952f28a1045959d77f59550133_icgraph" alt=""/></div>
<map name="classomsb_1_1_http_server_a790f33952f28a1045959d77f59550133_icgraph" id="classomsb_1_1_http_server_a790f33952f28a1045959d77f59550133_icgraph">
<area shape="rect" title="Starts the server after endpoints have been initialized." alt="" coords="108,5,325,32"/>
<area shape="rect" href="main_8cpp.html#ae66f6b31b5ad750f1fe042a706a4e3d4" title="this is the server main application it just creating then starting ombs server" alt="" coords="5,5,60,32"/>
</map>
</div>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/httpserver/<a class="el" href="http__server_8hpp_source.html">http_server.hpp</a></li>
<li>src/httpserver/<a class="el" href="http__server_8cpp.html">http_server.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
